<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<body>
<div class="big_box">
    <div class="left_div">
        <h1 class="h1">帆布</h1> <span style="color:red;font-weight:700;"></span>
        <hr>
        <form class="layui-form">
            <p>
                地址
            </p>
            <input type="text" name="address" class="layui-input"/>

            <p>
                车间
            </p>
            <div class="layui-form-item">
                <div class="layui-form-item">
                    <select class="select" name="plantName">
                        <option value="领鸿">领鸿</option>
                    </select>
                </div>
            </div>
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="帆布"/>
            <div class="layui-form-item">
                <input type="radio" lay-filter="stickerKind" name="stickerKind" value="常规" title="常规" checked="checked">
                <input type="radio" lay-filter="stickerKind" name="stickerKind" value="套餐" title="套餐">
            </div>
            <p>
                材质
            </p>
            <div class="layui-form-item">
                <select name="ui_fb_name" id="ui_fb_name" lay-filter="ui_fb_name" class="select" lay-search>
                    <option value="1">露营布</option>
                    <option value="2">摆摊布</option>
                </select>
            </div>
            <div class="ui_normal">
                <p>
                    尺寸(CM/厘米) <span style="font-size:14px;color:red">输入格式: 长 * 宽 </span>
                    <input type="checkbox" name="switchSize" class="switchSizeCoupon" lay-filter="switchSizeCoupon"
                           title="自定义尺寸" lay-skin="primary">
                </p>
                <div class="layui-form-item ui_size">
                    <select name="size" id="ui_size" class="select">
                        <option value="100*45">100*45</option>
                        <option value="45*45">45*45</option>
                    </select>
                </div>
                <span class="ui_zdy_size" style="display:none">
						<input type="text" id="ui_zdy_size" placeholder="格式:长*宽" class="layui-input" autocomplete="off">
					</span>
                <p>
                    数量(个)
                </p>
                <div class="layui-form-item">
                    <input type="text" placeholder="请输入整数" autocomplete="off" name="count" class="layui-input"
                           id="count">
                </div>
                <p>
                    款数
                </p>
                <div class="layui-form-item">
                    <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                           class="layui-input" lay-verify="number">
                </div>
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang"
                       class="layui-input">
            </div>
            <p>
                工艺<span style="font-size:14px;color:red">木棍长度50cm</span>
            </p>
            <div class="layui-form-item">
                <input type="checkbox" name="craft" value="封边" title="封边" lay-filter="craft">
                <div class="layui-inline ui_feb" style="width:100px;display:none">
                    <select name="fb" class="select fb" lay-filter="fb">
                        <option value="1" selected>上封边</option>
                        <option value="2">下封边</option>
                        <option value="3">左封边</option>
                        <option value="4">右封边</option>
                        <option value="5">上下封边</option>
                        <option value="6">左右封边</option>
                    </select>
                </div>
                <input type="checkbox" name="craft" value="四角打孔" title="四角打孔" lay-filter="craft">
                <input type="checkbox" name="craft" value="净裁" title="净裁" lay-filter="craft">
                <input type="checkbox" name="craft" value="吊耳" title="吊耳" lay-filter="craft">
                <span class="ui_normal">
			      		<input type="checkbox" name="craft" value="缝兜" title="缝兜" lay-filter="craft">
			      	</span>
                <input type="checkbox" name="craft" value="木棍" title="木棍" lay-filter="craft">
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div" style="margin-left:50px;">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<%@include file="/views/copyResult.jsp" %>
<script>
    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;

        //建造实例
        ins = carousel.render({});
        var html = " ";
        var remark = " ";
        // 清空轮播图
        $("#carousel").empty();
        $("#remark").empty();
        $.ajax({
            url: "${pageContext.request.contextPath}/getImgs",
            type: "GET",
            data: {
                proTypeValue: $("#proTypeValue").val(),
                kindValue: $('input[name="kindValue"]').val()
            },
            success: function (result) {
                for (let i = 0; i < result.length; i++) {
                    // 只留一个remark
                    remark = "";
                    html += '<div><img style="width:' + result[0].imgWidth + 'px" src="' + result[i].imgUrl + '"></div>';
                    remark += '<div><span>' + result[i].remark + '<span/></div>';
                }
                $("#carousel").append(html);
                // 如果没有说明，就不显示null
                if (remark.indexOf("null") < 0) {
                    $("#remark").append(remark);
                }
                // 如果没有轮播图就隐藏
                if (result.length == 0) {
                    document.getElementById("test1").style.display = "none";   //隐藏
                } else {
                    document.getElementById("test1").style.display = "block";   //显示
                    ins.reload({
                        elem: '#test1',
                        width: result[0].imgWidth,  //设置容器宽度
                        height: result[0].imgHeight
                    });
                }
            }
        });

        // 自定义尺寸
        form.on('checkbox(switchSizeCoupon)', function (data) {
            if (data.elem.checked) {
                $('.switchSizeCoupon').val("on")
                $(".ui_zdy_size").show();
                $("#ui_zdy_size").attr("name", "size");
                $(".ui_size").hide();
                $("#ui_size").attr("name", "");
                $(".ui_zdy_size").find(":input").attr("disabled", false);
                $(".ui_size").find(":input").attr("disabled", true);
            } else {
                $('.switchSizeCoupon').val("off")
                $(".ui_size").show();
                $("#ui_size").attr("name", "size");
                $(".ui_zdy_size").hide();
                $("#ui_zdy_size").attr("name", "");
                $(".ui_size").find(":input").attr("disabled", false);
                $(".ui_zdy_size").find(":input").attr("disabled", true);
                // 恢复标准数量的时候会被禁用，加这个解决
                form.render();
            }
        });

        form.on('checkbox(craft)', function (data) {
            if ($("input[name='craft']:checked").val() == "封边") {
                $(".ui_feb").show();
                $(".ui_feb select").attr("disabled", false);
            } else {
                $(".ui_feb").hide();
                $(".ui_feb select").attr("disabled", true);
            }
            form.render();
        });

        form.on('radio(stickerKind)', function (data) {
            if (data.value == "常规") {
                $(".ui_normal").show();
                $(".ui_normal").find(":input").attr("disabled", false);
            } else {
                $(".ui_normal").hide();
                $(".ui_normal").find(":input").attr("disabled", true);
            }
            form.render('radio');
        });

        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            var number = $("#number").val();
            var size = $("#size").val();
            var count = $("#count").val();
            var kind = $("#kindValue option:selected").text();
            var craft = $("input[name='craft']:checked").val();
            var stickerKind = $("input[name='stickerKind']:checked").val();
            if ($("input[name='switchSize']:checked").val() == "on") {
                if ($("#ui_zdy_size").val().split("*")[0] < 25 || $("#ui_zdy_size").val().split("*")[1] < 25) {
                    layer.msg('帆布最小尺寸25*25cm！', {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
                if ($("#ui_zdy_size").val().split("*")[0] > 140 && $("#ui_zdy_size").val().split("*")[1] > 140) {
                    layer.msg('帆布尺寸超过140cm需要拼接！', {offset: ['300px', '300px']}, function () {
                    });
                }
            }
            var craft = [];
            $("input:checkbox[name='craft']:checked").each(function (i) {
                // 没有被禁用的工艺加到arr中
                if (!$(this).is(':disabled')) {
                    craft.push($(this).val());
                }
            });
            if (stickerKind == "常规") {
                if (!count) {
                    layer.msg('请填写数量！', {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
            }
            $.ajax({
                url: "${path}/getProductPrice",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;
                    if ($("input[name='switchSize']:checked").val() == "on") {
                        size = $("#ui_zdy_size").val();
                    } else {
                        size = $("#ui_size option:selected").val();
                    }
                    var fb_name = $("#ui_fb_name option:selected").text();

                    if (craft == "封边" || craft == "打孔") {
                        craft = craft + "绳子";
                    }

                    var span_result = '帆布 - ' + fb_name + '-' + craft + '-';

                    if (stickerKind == "套餐") {
                        span_result += "套餐" + data[0].price + "元\n150*60cm 2条\n130*60cm 2条\n";
                    } else {
                        span_result += size + ' CM (同款内容)\n';
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "条，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                            let providePrices = data[i].providePrices;
                            if (providePrices && providePrices.length > 0) {
                                for (let item in providePrices) {
                                    span_result += providePrices[item].name + "：" + providePrices[item].price + "元。共" + Number(data[i].price + providePrices[item].price).toFixed(2) + '\n'
                                }
                            }
                        }

                    }
                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                        if(window.parent.system_isGai){
                            span_result +="\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                        }
                    addLog(span_result);
                    $("#span_result").val(span_result);

                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '16%',
                                title: '折扣价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '19%',
                                title: '跳楼价'
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });
</script>
</html>